﻿@model CreateClubStep1ViewModel

@{
    ViewBag.Title = "Free trial";
    Layout = "~/Views/Shared/_BaseLayout.cshtml";
}

<section id="freeTrialContainer" class="clearfix">
    <div class="inner-container clearfix">
        <header class="header-content clearfix">
            <h1 class="window-title">Start your free 14-day trial</h1>
            <h3 class="window-subtitle">No credit card is required</h3>
        </header>
        <section class="body-content clearfix">

            @using (Html.BeginForm("CreateAccountStep1", "Club", FormMethod.Post, new { id = "CreateClubStep1" }))
            {
                @Html.AntiForgeryToken()
                @Html.ValidationSummary(true)

                <div class="form-group email clearfix">

                    <span id="signupUserNameSpan"></span>
                    <label for="Email" class="jb-label">Email</label>
                    @Html.TextBoxFor(model => model.Email, new { @class = "form-control jb-lbl-input", @id = "signupUserName" })
                    @Html.ValidationMessageFor(model => model.Email)

                </div>

                <div id="passwordGroup" class="form-group password-progress clearfix">
                    <label for="Password" class="jb-label">Password</label>
                    @Html.PasswordFor(model => model.Password, new { @class = "form-control jb-lbl-input", @id = "password" })
                    @Html.ValidationMessageFor(model => model.Password)

                    <ul class="password-strength-info">
                        <li><div class="progress"><div class="progress-bar" role="progressbar"></div></div></li>
                        <li id="uppercase" class="invalid">At least <strong>one uppercase character</strong></li>
                        <li id="lowercase" class="invalid">At least <strong>one lowercase character</strong></li>
                        <li id="symbol" class="invalid">At least <strong>one special symbol such as @@, !, or $</strong></li>
                        <li id="number" class="invalid">At least <strong>one number</strong></li>
                        <li class="separator"></li>
                        <li id="length" class="invalid">At least <strong>8 characters</strong></li>
                    </ul>

                </div>
                <div class="form-group clearfix">

                    <span id="signupUserNameSpan"></span>   
                    <div class="clearfix"></div>
                    @Html.TextBoxFor(model => model.Phone, new { @id = "phone", @type = "tel", @class = "phone form-control  jb-lbl-input" })
                    @Html.ValidationMessageFor(model => model.Phone)
                </div>
                <div class="form-group half-width margin-right clearfix">
                    <label for="Name" class="jb-label">Organization name</label>
                    @Html.TextBoxFor(model => model.Name, new { @class = "form-control jb-lbl-input", @id = "organizationName" })
                    @Html.ValidationMessageFor(model => model.Name)
                </div>

                <div class="form-group half-width website">
                    <label for="Site" class="jb-label">Website</label>
                    @Html.TextBoxFor(model => model.Site, new { @class = "form-control jb-lbl-input" })
                    @Html.ValidationMessageFor(model => model.Site)
                </div>

                <div class="form-group domain clearfix">
                    <span class="domain-url">.jumbula.com</span>
                    <span id="domainUrlSpan"></span>
                    <label for="Email" class="jb-label">Jumbula home page (URL)</label>
                    @Html.TextBoxFor(model => model.Domain, new { @class = "form-control jb-lbl-input half-input", @id = "domainURL" })
                    @Html.ValidationMessageFor(model => model.Domain)
                    <div class="input-tooltip">
                        <span class="input-tooltip-inner">The unique Jumbula home page URL name serves as the main page for your organization on Jumbula. Users will access your Jumbula page by typing this address in their browser or by clicking a register button that you place on your website. We suggest you choose the name of your organization or a variation of it as your domain name. Do not use special characters (&, #, etc.) or spaces.</span>
                    </div>
                </div>

                @Html.HiddenFor(model => model.Token)
                <button id="CreateAccount" class="btn btn-jb jb-lg-btn" type="submit">Continue</button>
                <div class="clearfix"></div>

            }

        </section>
        <section class="text clearfix">
            <ul>
                <li>Take payments online and go paperless</li>
                <li>Setup seasons and schedule your classes & camps</li>
                <li>Manage your business with rich reporting tools</li>
            </ul>
        </section>
        <!-- Footer -->
        <footer class="footer-content clearfix">
            <div class="pull-left"><div class="copyright">© Copyright <span class="year">2016</span> <a href="http://jumbula.com" title="Jumbula.com">Jumbula</a>. All Rights Reserved.</div></div>
            <div class="pull-right">
                <a href="https://twitter.com/Jumbulame" class="social" title="Twitter"><i class="jbi-twitter"></i></a>
                <a href="http://blog.jumbula.com/" class="social" title="Blog"><i class="jbi-book"></i></a>
                <a href="https://www.facebook.com/jumbulame" class="social" title="Facebook"><i class="jbi-facebook"></i></a>
            </div>
        </footer>

    </div>
</section>
<span class="domain-url-temp" style="visibility:hidden"></span>



@section Styles{
    <link href="~/Content/Student/Account/FreeTrial.css" rel="stylesheet" />
    <link href="~/Landing/ProClass/css/intlTelInput.css" rel="stylesheet" />
}

@Scripts.Render("~/bundles/jqueryValidateUnobtrusive")

<script src="~/Scripts/Libraries/jquery.complexify.js" type="text/javascript"></script>
<script src="~/Scripts/Student/FreeTrial.js" type="text/javascript"></script>
<script src="~/Scripts/InternationalPhone/intlTelInput.min.js"></script>
<script src="~/Scripts/InternationalPhone/utils.js"></script>
<script src="~/Scripts/Libraries/jQuery/jquery.mask.min.js"></script>

<script type="text/javascript">
    var onceOrganizationNameClicked = false;
    var inputOrganizationName = $('input#organizationName'),
        inputDomainURL = $('input#domainURL');

    inputOrganizationName.on('blur', function () {
        inputDomainURL.css('color', '#fff');
    });

    inputOrganizationName.keyup(function (event) {

        if (event.keyCode != '9') {
            if (!(onceOrganizationNameClicked && inputDomainURL.val())) {
                if (inputOrganizationName.val()) {
                    onceOrganizationNameClicked = false;
                    $('.domain').addClass('focused');
                    inputDomainURL.val($.trim(inputOrganizationName.val()));
                    inputDomainURL.keypress();
                    inputDomainURL.css('color', 'rgb(140, 223, 255)');
                }
                else {
                    inputDomainURL.css('color', '#fff');
                    inputDomainURL.val("");
                    $('.domain').removeClass('focused');
                    inputDomainURL.keyup();
                }
            }
            else {
                inputDomainURL.keypress();
                inputDomainURL.css('color', '#fff');
            }
        }

    });

    var x_timer;
    inputDomainURL.on('keypress', function () {
        clearTimeout(x_timer);

        if ($(this).val().length != 0) {
            $(".domain-url-temp").html($(this).val())
            var targetLocation = $(".domain-url-temp").width()+20;
            if (targetLocation < (inputDomainURL.width() + 30)) {
                $(".domain-url").css({ 'right': 'initial', 'left': (targetLocation + 2) });
            }
            x_timer = setTimeout(function () {
                inputDomainURL.keyup();

            }, 1000);
        }
        else {
            $(".domain-url").css({ 'right': '50px', 'left': 'auto' });
        }
    });
    inputDomainURL.keyup(function () {
        $(".domain-url-temp").html($(this).val()+20)
        var targetLocation = $(".domain-url-temp").width();
        if (targetLocation < (inputDomainURL.width() + 30)) {
            $(".domain-url").css({ 'right': 'initial', 'left': (targetLocation + 2) });
        }
    })
    inputDomainURL.on('keydown', function () {
        $(".domain-url-temp").html($(this).val()+20)
        var targetLocation = $(".domain-url-temp").width();
        if (targetLocation < (inputDomainURL.width() + 30)) {
            $(".domain-url").css({ 'right': 'initial', 'left': (targetLocation + 2) });
        }
        if ($(this).val().length != 0) {
            onceOrganizationNameClicked = true;
        }
        else {
            onceOrganizationNameClicked = false;
        }

    })



    $("#signupUserName").focus(function () {
        $('.form-group.email').removeClass('valid-input');
        $('.form-group.email').removeClass('invalid-input');

    });

    $("#signupUserName").blur(function () {

        var $this = $(this);
        var text = $this.val();
        var email = new RegExp(/^(([^<>()[\]\\.,;:\s@@\"]+(\.[^<>()[\]\\.,;:\s@@\"]+)*)|(\".+\"))@@((\[[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\])|(([a-zA-Z\-0-9]+\.)+[a-zA-Z]{2,}))$/);
        if (text == "") {
            $('.form-group.email').removeClass('valid-input').addClass('invalid-input');
            $("#CreateClubStep1").validate().showErrors({ "Email": "Email is required" });
        }
        if (text != "") {
            if (!text.match(email)) {
                $('.form-group.email').removeClass('valid-input').addClass('invalid-input');
                $("#CreateClubStep1").validate().showErrors({ "Email": "Email is not a valid email address" });
            }
            else {
                var url = '/DedicatedAccount/CheckIsUserNameExist?userName=' + text;

                $.ajax({
                    url: url,
                    type: "Post",
                    success: function (data) {
                        switch (data.Status) {
                            case "UserIsNotExist":
                                {
                                    $('.form-group.email').removeClass('invalid-input').addClass('valid-input');
                                    break;
                                }
                            case "UserIsExist":
                                {
                                    $('.form-group.email').removeClass('valid-input').addClass('invalid-input');
                                    $("#CreateClubStep1").validate().showErrors({ "Email": data.Message });
                                    break;
                                }
                        }
                    }
                });
            }
        }
    });

    $(function () {
        var telInput = $("#phone");
        function changeMask() {
            var flag = $('body').find('.selected-flag .iti-flag');
            if (flag.hasClass('us') || flag.hasClass('ca')) {
                telInput.mask('(000) 000-0000');
            } else {
                telInput.unmask();
            }
        }
        telInput.intlTelInput({
            preferredCountries: ['us', 'ca'],
        });
        changeMask();
        telInput.on("countrychange", function (e, countryData) {
            changeMask();
        });
        $("#CreateAccount").on('click', function (e) {
            e.preventDefault()
            var formStepOne = $("#CreateClubStep1");
            if (formStepOne.valid()) {
                var tellNumber = $("#phone").intlTelInput("getNumber", telInput.intlTelInput("getSelectedCountryData").iso2);
                tellNumber = tellNumber.replace(/-()/g, "");
                var dialCode = "+" + $("#phone").intlTelInput("getSelectedCountryData").dialCode;
                telInput.val(tellNumber.replace(dialCode, ""));
            }
            formStepOne.submit();
        })
    })
</script>

